package cn.iocoder.yudao.module.system.service.sys;


import cn.iocoder.yudao.module.system.controller.admin.sys.vo.BusinessConfigUpdateReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.sys.BusinessParamsConfigDO;

import java.util.List;

/**
 * 系统业务参数配置 Service 接口
 *
 * @author 系统管理员
 */
public interface BusinessParamsConfigService {


    void updateBusinessParamsConfig(BusinessParamsConfigDO updateReqVO);

    List<BusinessParamsConfigDO> getList();

    List<BusinessParamsConfigDO> getMonthlySettlementConfigByStatus(Integer value);

    void batchUpdate(BusinessConfigUpdateReqVO updateReqVO);
}